Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: dart-sdk-2.4.0_1
@ 2019-07-15  2:45 voidlinux-github
  2019-07-15  3:25 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (8 more replies)
  0 siblings, 9 replies; 10+ messages in thread
From: voidlinux-github @ 2019-07-15  2:45 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 329 bytes --]

There is a new pull request by Noah-Huppert against master on the void-packages repository

https://github.com/Noah-Huppert/void-packages pkg-dart-sdk
https://github.com/void-linux/void-packages/pull/13129

New package: dart-sdk-2.4.0_1


A patch file from https://github.com/void-linux/void-packages/pull/13129.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pkg-dart-sdk-13129.patch --]
[-- Type: application/text/x-diff, Size: 1550 bytes --]

From 1ebd4ca42ae3b30f1e955c5af8bacd1e7b703984 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 22:44:32 -0400
Subject: [PATCH] New package: dart-sdk-2.4.0_1

---
 srcpkgs/dart-sdk/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/dart-sdk/template

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
new file mode 100644
index 00000000000..8710d22a726
--- /dev/null
+++ b/srcpkgs/dart-sdk/template
@@ -0,0 +1,36 @@
+# Template file for 'dart-sdk'
+pkgname=dart-sdk
+version=2.4.0
+revision=1
+archs="x86_64"
+short_desc="Client-optimized language for fast apps on any platform"
+maintainer="Noah Huppert <contact@noahh.io>"
+license="BSD"
+homepage="https://dart.dev/"
+
+hostmakedepends="unzip"
+wrksrc=${pkgname}-${version}
+create_wrksrc=yes
+build_wrksrc=dart-sdk
+
+distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/${version}/sdk/dartsdk-linux-x64-release.zip"
+checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
+
+do_install() {
+    vlicense LICENSE
+
+    vbin bin/dart
+    vbin bin/dart2aot
+    vbin bin/dart2js
+    vbin bin/dartanalyzer
+    vbin bin/dartaotruntime
+    vbin bin/dartdevc
+    vbin bin/dartdoc
+    vbin bin/dartfmt
+    vbin bin/pub
+
+    vmkdir usr/include
+    vcopy include/dart_api.h usr/include/dart_api.h
+    vcopy include/dart_native_api.h usr/include/dart_native_api.h
+    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+}

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
  2019-07-15  3:25 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-07-15  3:25 ` voidlinux-github
  2019-07-16 12:17 ` voidlinux-github
                   ` (6 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2019-07-15  3:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 334 bytes --]

There is an updated pull request by Noah-Huppert against master on the void-packages repository

https://github.com/Noah-Huppert/void-packages pkg-dart-sdk
https://github.com/void-linux/void-packages/pull/13129

New package: dart-sdk-2.4.0_1


A patch file from https://github.com/void-linux/void-packages/pull/13129.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pkg-dart-sdk-13129.patch --]
[-- Type: application/text/x-diff, Size: 3150 bytes --]

From 1ebd4ca42ae3b30f1e955c5af8bacd1e7b703984 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 22:44:32 -0400
Subject: [PATCH 1/2] New package: dart-sdk-2.4.0_1

---
 srcpkgs/dart-sdk/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/dart-sdk/template

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
new file mode 100644
index 00000000000..8710d22a726
--- /dev/null
+++ b/srcpkgs/dart-sdk/template
@@ -0,0 +1,36 @@
+# Template file for 'dart-sdk'
+pkgname=dart-sdk
+version=2.4.0
+revision=1
+archs="x86_64"
+short_desc="Client-optimized language for fast apps on any platform"
+maintainer="Noah Huppert <contact@noahh.io>"
+license="BSD"
+homepage="https://dart.dev/"
+
+hostmakedepends="unzip"
+wrksrc=${pkgname}-${version}
+create_wrksrc=yes
+build_wrksrc=dart-sdk
+
+distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/${version}/sdk/dartsdk-linux-x64-release.zip"
+checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
+
+do_install() {
+    vlicense LICENSE
+
+    vbin bin/dart
+    vbin bin/dart2aot
+    vbin bin/dart2js
+    vbin bin/dartanalyzer
+    vbin bin/dartaotruntime
+    vbin bin/dartdevc
+    vbin bin/dartdoc
+    vbin bin/dartfmt
+    vbin bin/pub
+
+    vmkdir usr/include
+    vcopy include/dart_api.h usr/include/dart_api.h
+    vcopy include/dart_native_api.h usr/include/dart_native_api.h
+    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+}

From 3b40a4c9a6b91dbed653c298d64c7906ae362675 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 23:25:10 -0400
Subject: [PATCH 2/2] dart-sdk: fixed template lint errors

---
 srcpkgs/dart-sdk/template | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
index 8710d22a726..d2a1e2f8080 100644
--- a/srcpkgs/dart-sdk/template
+++ b/srcpkgs/dart-sdk/template
@@ -17,20 +17,20 @@ distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/$
 checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
 
 do_install() {
-    vlicense LICENSE
+	     vlicense LICENSE
 
-    vbin bin/dart
-    vbin bin/dart2aot
-    vbin bin/dart2js
-    vbin bin/dartanalyzer
-    vbin bin/dartaotruntime
-    vbin bin/dartdevc
-    vbin bin/dartdoc
-    vbin bin/dartfmt
-    vbin bin/pub
+	     vbin bin/dart
+	     vbin bin/dart2aot
+	     vbin bin/dart2js
+	     vbin bin/dartanalyzer
+	     vbin bin/dartaotruntime
+	     vbin bin/dartdevc
+	     vbin bin/dartdoc
+	     vbin bin/dartfmt
+	     vbin bin/pub
 
-    vmkdir usr/include
-    vcopy include/dart_api.h usr/include/dart_api.h
-    vcopy include/dart_native_api.h usr/include/dart_native_api.h
-    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+	     vmkdir usr/include
+	     vcopy include/dart_api.h usr/include/dart_api.h
+	     vcopy include/dart_native_api.h usr/include/dart_native_api.h
+	     vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
@ 2019-07-15  3:25 ` voidlinux-github
  2019-07-15  3:25 ` voidlinux-github
                   ` (7 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2019-07-15  3:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 334 bytes --]

There is an updated pull request by Noah-Huppert against master on the void-packages repository

https://github.com/Noah-Huppert/void-packages pkg-dart-sdk
https://github.com/void-linux/void-packages/pull/13129

New package: dart-sdk-2.4.0_1


A patch file from https://github.com/void-linux/void-packages/pull/13129.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pkg-dart-sdk-13129.patch --]
[-- Type: application/text/x-diff, Size: 3150 bytes --]

From 1ebd4ca42ae3b30f1e955c5af8bacd1e7b703984 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 22:44:32 -0400
Subject: [PATCH 1/2] New package: dart-sdk-2.4.0_1

---
 srcpkgs/dart-sdk/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/dart-sdk/template

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
new file mode 100644
index 00000000000..8710d22a726
--- /dev/null
+++ b/srcpkgs/dart-sdk/template
@@ -0,0 +1,36 @@
+# Template file for 'dart-sdk'
+pkgname=dart-sdk
+version=2.4.0
+revision=1
+archs="x86_64"
+short_desc="Client-optimized language for fast apps on any platform"
+maintainer="Noah Huppert <contact@noahh.io>"
+license="BSD"
+homepage="https://dart.dev/"
+
+hostmakedepends="unzip"
+wrksrc=${pkgname}-${version}
+create_wrksrc=yes
+build_wrksrc=dart-sdk
+
+distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/${version}/sdk/dartsdk-linux-x64-release.zip"
+checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
+
+do_install() {
+    vlicense LICENSE
+
+    vbin bin/dart
+    vbin bin/dart2aot
+    vbin bin/dart2js
+    vbin bin/dartanalyzer
+    vbin bin/dartaotruntime
+    vbin bin/dartdevc
+    vbin bin/dartdoc
+    vbin bin/dartfmt
+    vbin bin/pub
+
+    vmkdir usr/include
+    vcopy include/dart_api.h usr/include/dart_api.h
+    vcopy include/dart_native_api.h usr/include/dart_native_api.h
+    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+}

From 3b40a4c9a6b91dbed653c298d64c7906ae362675 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 23:25:10 -0400
Subject: [PATCH 2/2] dart-sdk: fixed template lint errors

---
 srcpkgs/dart-sdk/template | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
index 8710d22a726..d2a1e2f8080 100644
--- a/srcpkgs/dart-sdk/template
+++ b/srcpkgs/dart-sdk/template
@@ -17,20 +17,20 @@ distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/$
 checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
 
 do_install() {
-    vlicense LICENSE
+	     vlicense LICENSE
 
-    vbin bin/dart
-    vbin bin/dart2aot
-    vbin bin/dart2js
-    vbin bin/dartanalyzer
-    vbin bin/dartaotruntime
-    vbin bin/dartdevc
-    vbin bin/dartdoc
-    vbin bin/dartfmt
-    vbin bin/pub
+	     vbin bin/dart
+	     vbin bin/dart2aot
+	     vbin bin/dart2js
+	     vbin bin/dartanalyzer
+	     vbin bin/dartaotruntime
+	     vbin bin/dartdevc
+	     vbin bin/dartdoc
+	     vbin bin/dartfmt
+	     vbin bin/pub
 
-    vmkdir usr/include
-    vcopy include/dart_api.h usr/include/dart_api.h
-    vcopy include/dart_native_api.h usr/include/dart_native_api.h
-    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+	     vmkdir usr/include
+	     vcopy include/dart_api.h usr/include/dart_api.h
+	     vcopy include/dart_native_api.h usr/include/dart_native_api.h
+	     vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
  2019-07-15  3:25 ` [PR PATCH] [Updated] " voidlinux-github
  2019-07-15  3:25 ` voidlinux-github
@ 2019-07-16 12:17 ` voidlinux-github
  2019-07-20 13:14 ` [wip] " voidlinux-github
                   ` (5 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2019-07-16 12:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 447 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-511791349
Comment:
Packages should be built from source if the source is available, packages not built from source have to be suffixed with `-bin`. (and only be added if there's a good reason, e.g. bootstrapping) I don't think this package should be merged as is. Only supporting a single CPU architecture is another downside.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (2 preceding siblings ...)
  2019-07-16 12:17 ` voidlinux-github
@ 2019-07-20 13:14 ` voidlinux-github
  2020-02-02 17:00 ` voidlinux-github
                   ` (4 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2019-07-20 13:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 255 bytes --]

New comment by Noah-Huppert on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-513466631
Comment:
I will update the pull request to use these build instructions: https://github.com/dart-lang/sdk/wiki/Building

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (3 preceding siblings ...)
  2019-07-20 13:14 ` [wip] " voidlinux-github
@ 2020-02-02 17:00 ` voidlinux-github
  2020-02-12 13:55 ` voidlinux-github
                   ` (3 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2020-02-02 17:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 168 bytes --]

New comment by LinArcX on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-581155171

Comment:
@Noah-Huppert 
Any update?

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (4 preceding siblings ...)
  2020-02-02 17:00 ` voidlinux-github
@ 2020-02-12 13:55 ` voidlinux-github
  2020-02-12 14:29 ` voidlinux-github
                   ` (2 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2020-02-12 13:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 224 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-585215892

Comment:
@Noah-Huppert please update the license and checksum.
Why  is this `x86_64`-only?

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (5 preceding siblings ...)
  2020-02-12 13:55 ` voidlinux-github
@ 2020-02-12 14:29 ` voidlinux-github
  2020-02-12 14:29 ` [PR PATCH] [Closed]: " voidlinux-github
  2020-02-12 15:26 ` voidlinux-github
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2020-02-12 14:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 307 bytes --]

New comment by Noah-Huppert on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-585231402

Comment:
No longer planning on completing this any time soon. I'll close this PR and make a new one if I do complete. Originally was only going to make it a bin package. 

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Closed]: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (6 preceding siblings ...)
  2020-02-12 14:29 ` voidlinux-github
@ 2020-02-12 14:29 ` voidlinux-github
  2020-02-12 15:26 ` voidlinux-github
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2020-02-12 14:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 169 bytes --]

There's a closed pull request on the void-packages repository

[wip] New package: dart-sdk-2.4.0_1
https://github.com/void-linux/void-packages/pull/13129

Description:


^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [wip] New package: dart-sdk-2.4.0_1
  2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
                   ` (7 preceding siblings ...)
  2020-02-12 14:29 ` [PR PATCH] [Closed]: " voidlinux-github
@ 2020-02-12 15:26 ` voidlinux-github
  8 siblings, 0 replies; 10+ messages in thread
From: voidlinux-github @ 2020-02-12 15:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 362 bytes --]

New comment by Noah-Huppert on void-packages repository

https://github.com/void-linux/void-packages/pull/13129#issuecomment-585231402

Comment:
No longer planning on completing this any time soon. I'll close this PR and make a new one if I do complete. Originally was only going to make it a bin package but it probably wouldn't be accepted as mentioned above.

^ permalink raw reply	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2020-02-12 15:26 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-07-15  2:45 [PR PATCH] New package: dart-sdk-2.4.0_1 voidlinux-github
2019-07-15  3:25 ` [PR PATCH] [Updated] " voidlinux-github
2019-07-15  3:25 ` voidlinux-github
2019-07-16 12:17 ` voidlinux-github
2019-07-20 13:14 ` [wip] " voidlinux-github
2020-02-02 17:00 ` voidlinux-github
2020-02-12 13:55 ` voidlinux-github
2020-02-12 14:29 ` voidlinux-github
2020-02-12 14:29 ` [PR PATCH] [Closed]: " voidlinux-github
2020-02-12 15:26 ` voidlinux-github

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git